import unittest

from ..wikipedia import WikipediaPlugin


class TestWikipediaPlugin(unittest.TestCase):
    def test_limit_text_length(self):
        text = "lorem ipsum blah blah."
        result = WikipediaPlugin.limit_text_length(text, max_length=10)
        self.assertEqual(result, "lorem…")
        result = WikipediaPlugin.limit_text_length(text, max_length=15)
        self.assertEqual(result, "lorem ipsum…")
        result = WikipediaPlugin.limit_text_length(text, max_length=30)
        self.assertEqual(result, "lorem ipsum blah blah.")
